#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=debian/populations

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_install: debian/populations.install
	dh_auto_install

debian/%.install: debian/%.install.in
	sed 's/@DEB_HOST_GNU_TYPE@/$(DEB_HOST_GNU_TYPE)/g' $< > $@

override_dh_auto_clean:
	dh_testdir
	rm -f src/populations
	rm -rf CMakeFiles src/CMakeFiles Makefile src/Makefile src/config.h \
	       *.cmake src/cmake_install.cmake CMakeCache.txt \
	       install_manifest.txt
	dh_auto_clean
	dh_clean
